Name: glabels
Version: 2.0.4
Release: 5%{?dist}
Summary: A program for creating labels and business cards for GNOME

Group: Applications/Publishing
License: GPL
URL: http://glabels.sf.net
Source0: http://dl.sf.net/glabels/glabels-2.0.4.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libgnomeui-devel >= 2.0, libglade2-devel >= 2.0.1
BuildRequires: libgnomeprintui22-devel
BuildRequires: desktop-file-utils, scrollkeeper
BuildRequires: gettext
BuildRequires: perl(XML::Parser)

Requires(post): /sbin/ldconfig
Requires(post): scrollkeeper
Requires(post): shared-mime-info
Requires(post): desktop-file-utils

Requires(postun): /sbin/ldconfig
Requires(postun): scrollkeeper
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils

%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.

%package devel
Summary: Development files and documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. 
%prep
%setup

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
  UPDATE_DESKTOP_DATABASE="true" UPDATE_MIME_DATABASE="true"
desktop-file-install \
  --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig

%postun
scrollkeeper-update -q || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_datadir}/gnome/help/glabels/
%doc %{_mandir}/man1/glabels.1*
%{_bindir}/glabels*
%{_libdir}/libglabels.so.*
%{_datadir}/application-registry/glabels.applications
%{_datadir}/applications/fedora-glabels.desktop
%{_datadir}/glabels/
%{_datadir}/mime/packages/glabels.xml
%{_datadir}/mime-info/glabels.*
%{_datadir}/pixmaps/glabels/
%{_datadir}/pixmaps/glabels.png
%{_datadir}/pixmaps/glabels-application-x-glabels.png
%{_datadir}/omf/glabels/

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libglabels/
%{_libdir}/libglabels.a
%{_libdir}/libglabels.so
%exclude %{_libdir}/libglabels.la

%changelog
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.5-5
- Add BR: perl(XML::Parser)
 
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-4
- Mass FC6 rebuild

* Wed Jul 05 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-3
- Add BuildRequires: gettext (#197633)

* Sat Feb 18 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-2
- Bump for fe5 rebuild 

* Sat Jan 01 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-1
- Update to new stable upstream version

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-3
- rebuild

* Thu Jul 7 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-2
- use Source0

* Mon Jul 5 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-1
- Initial fedora extras build

